Update the Service Orchestration active status for a Service
Update a Service Orchestration's active status.
A Service Orchestration allows you to set an active status based on whether an event will be evaluated against a service orchestration path (true) or service ruleset (false).
For more information see the API Concepts Document
Scoped OAuth requires: services.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The service ID
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Request Body
application/json
Update Service Orchestration's active status.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
Update Data for an External Data Cache Variable on a Service Event Orchestration PUT
Update the data for an `external_data` type Cache Variable on a Service Event Orchestration. Use External Data type Cache Variables to store string, number, or boolean values via a dedicated API endpoint. These stored values can then be used in conditions or actions in Event Orchestration rules. For more information see the [Knowledge Base](https://support.pagerduty.com/main/docs/event-orchestration-cache-variables) Scoped OAuth requires: `services.write`
Update the Global Orchestration for an Event Orchestration PUT
Update the Global Orchestration for an Event Orchestration. Global Orchestration Rules allows you to create a set of Event Rules. These rules evaluate against all Events sent to an Event Orchestration. When a matching rule is found, it can modify and enhance the event and can route the event to another set of Global Rules within this Orchestration for further processing. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#event-orchestrations) Scoped OAuth requires: `event_orchestrations.write`